HTMLAppletElement (XML Standard API)
Date: 2024-01-12

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLAppletElement

All Superinterfaces:
  Element, HTMLElement, Node

    public interface HTMLAppletElement

extends HTMLElement

An embedded Java applet. See the APPLET element definition in HTML 4.0. This element is deprecated in HTML 4.0.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`java.lang.String` | `getAlt()` Alternate text for user agents not rendering the normal contentof this element.
`java.lang.String` | `getArchive()` Comma-separated archive list.
`java.lang.String` | `getCode()` Applet class file.
`java.lang.String` | `getCodeBase()` Optional base URI for applet.
`java.lang.String` | `getHeight()` Override height.
`java.lang.String` | `getHspace()` Horizontal space to the left and right of this image, applet, or object.
`java.lang.String` | `getName()` The name of the applet.
`java.lang.String` | `getObject()` Serialized applet file.
`java.lang.String` | `getVspace()` Vertical space above and below this image, applet, or object.
`java.lang.String` | `getWidth()` Override width.
`void` | `setAlign(java.lang.String align)`
`void` | `setAlt(java.lang.String alt)`
`void` | `setArchive(java.lang.String archive)`
`void` | `setCode(java.lang.String code)`
`void` | `setCodeBase(java.lang.String codeBase)`
`void` | `setHeight(java.lang.String height)`
`void` | `setHspace(java.lang.String hspace)`
`void` | `setName(java.lang.String name)`
`void` | `setObject(java.lang.String object)`
`void` | `setVspace(java.lang.String vspace)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getAlign

    java.lang.String getAlign()

  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setAlign

    void setAlign(java.lang.String align)

### getAlt

    java.lang.String getAlt()

  Alternate text for user agents not rendering the normal contentof this element. See the alt attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setAlt

    void setAlt(java.lang.String alt)

### getArchive

    java.lang.String getArchive()

  Comma-separated archive list. See the archive attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setArchive

    void setArchive(java.lang.String archive)

### getCode

    java.lang.String getCode()

  Applet class file. See the code attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setCode

    void setCode(java.lang.String code)

### getCodeBase

    java.lang.String getCodeBase()

  Optional base URI for applet. See the codebase attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setCodeBase

    void setCodeBase(java.lang.String codeBase)

### getHeight

    java.lang.String getHeight()

  Override height. See the height attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setHeight

    void setHeight(java.lang.String height)

### getHspace

    java.lang.String getHspace()

  Horizontal space to the left and right of this image, applet, or object. See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setHspace

    void setHspace(java.lang.String hspace)

### getName

    java.lang.String getName()

  The name of the applet. See the name attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setName

    void setName(java.lang.String name)

### getObject

    java.lang.String getObject()

  Serialized applet file. See the object attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setObject

    void setObject(java.lang.String object)

### getVspace

    java.lang.String getVspace()

  Vertical space above and below this image, applet, or object. See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setVspace

    void setVspace(java.lang.String vspace)

### getWidth

    java.lang.String getWidth()

  Override width. See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setWidth

    void setWidth(java.lang.String width)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.